Bug 818100 - FTBFS of Rawhide package on EL-7
FTBFS of Rawhide package on EL-7
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openswan (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Avesh Agarwal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 04:41 EDT by Matěj Cepl
Modified: 2018-04-11 09:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 13:01:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2012-05-02 04:41:58 EDT
Description of problem:
make[3]: Entering directory `/home/matej/build/Extras/openswan/openswan-2.6.37/OBJ.linux.x86_64/programs/ikeping'
cc -c -g -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic -fPIE -pie  -I/home/matej/build/Extras/openswan/openswan-2.6.37/ports/linux/include  -I/home/matej/build/Extras/openswan/openswan-2.6.37/ports/linux/include  -I/home/matej/build/Extras/openswan/openswan-2.6.37/ports/linux/include  -I/home/matej/build/Extras/openswan/openswan-2.6.37/ports/linux/include  -I/home/matej/build/Extras/openswan/openswan-2.6.37 -I/home/matej/build/Extras/openswan/openswan-2.6.37/linux/include -I/home/matej/build/Extras/openswan/openswan-2.6.37/include  -Wall -Wpointer-arith -Wcast-qual -Wstrict-prototypes -Wbad-function-cast  -DKLIPS -DNAT_TRAVERSAL -DNAT_TRAVERSAL -DKERNEL_ALG -DIKE_ALG -DFINALCONFDIR=\"/etc\" -DFINALCONFDDIR=\"/etc/ipsec.d\" -DFINALCONFFILE=\"/etc/ipsec.conf\" -DFINALVARDIR=\"/var\" -Werror /home/matej/build/Extras/openswan/openswan-2.6.37/programs/ikeping/ikeping.c
/home/matej/build/Extras/openswan/openswan-2.6.37/programs/ikeping/ikeping.c: In function 'receive_ping':
/home/matej/build/Extras/openswan/openswan-2.6.37/programs/ikeping/ikeping.c:261:9: error: dereferencing type-punned pointer will break strict-aliasing rules [-Werror=strict-aliasing]
/home/matej/build/Extras/openswan/openswan-2.6.37/programs/ikeping/ikeping.c:263:9: error: dereferencing type-punned pointer will break strict-aliasing rules [-Werror=strict-aliasing]
cc1: all warnings being treated as errors
make[3]: *** [ikeping.o] Error 1

Not sure how relevant it is, just to have it recorded somehwere.

Note You need to log in before you can comment on or make changes to this bug.